from flask import Flask

import argparse

# 创建 ArgumentParser 对象
parser = argparse.ArgumentParser(description="解析命令行参数")

# 添加可选参数
parser.add_argument("-o", "--host", type=str, default='127.0.0.1', help="host")
parser.add_argument("-p", "--port", type=int, default=8080, help="port")

# 解析命令行参数
args = parser.parse_args()

# 使用解析后的参数
print(f"HOST: {args.host}")
print(f"PORT: {args.port}")

app = Flask(__name__)

@app.route('/')
def home():
    return "Hello, Flask World!"

if __name__ == '__main__':
    app.run(host=args.host, port=args.port, debug=True)